<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnaccountapi.php 292 2009-10-31 16:20:19Z mateo $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage Profile
 * @author Mark West
 */

/**
 * Return an array of items to show in the your account panel
 *
 * @return   array   array of items, or false on failure
 */
function Profile_accountapi_getall($args)
{
    $dom = ZLanguage::getModuleDomain('Profile');

    if (!isset($args['uname'])) {
        if (!pnUserloggedIn()) {
            $uname = null;
        } else {
            $uname = pnUserGetVar('uname');
        }
    }

    // Create an array of links to return
    if (!empty($uname)) {
        $uid = pnUserGetIDFromName($uname);
        $items = array(array('url'     => pnModURL('Profile', 'user', 'view', array('uid' => $uid)),
                             'module'  => 'Profile',
                             //! account panel link
                             'title'   => __('Personal Info', $dom),
                             'icon'    => 'admin.gif'));

        if (SecurityUtil::checkPermission('Profile:Members:', '::', ACCESS_READ)) {
            $items[] = array('url'     => pnModURL('Profile', 'user', 'viewmembers'),
                             'module'  => 'Profile',
                             'title'   => __('Members List', $dom),
                             'icon'    => 'members.gif');
        }
    } else {
        $items = null;
    }

    // Return the items
    return $items;
}
