/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.com
 * @version $Id: profile.js 300 2009-11-03 11:21:13Z herr.vorragend $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage Profile
 */

function profileinit()
{
    Sortable.create('profilelist',
                    { 
                      only: 'z-sortable',
                      constraint: false,
                      onUpdate: profileweightchanged
                    });

    $$('a.profile_down').each(function(arrow){arrow.hide();});
    $$('a.profile_up').each(function(arrow){arrow.hide();});
    $('profilehint').show();

    $A(document.getElementsByClassName('z-sortable', 'profilelist')).each(
        function(node) 
        { 
            node.setStyle({'cursor': 'move'}); 
            var thisprofileid = node.id.split('_')[1];
            Element.addClassName('profile_' + thisprofileid, 'sortable')

            $('profilestatus_'+thisprofileid).setAttribute('href', '#');
            $('profilestatus_'+thisprofileid).setAttribute('onclick', 'return false;');
            Event.observe($('profilestatus_'+thisprofileid), 'click',
                function() {
                    var prop_id    = this.id.split('_')[1];
                    var thisstatus = this.getAttribute('class').split('_')[1];
                    // switch the status in the classname
                    var newclassname = '';
                    if (thisstatus == '1') {
                        newclassname = this.getAttribute('class').replace('1', '0')
                    } else {
                        newclassname = this.getAttribute('class').replace('0', '1')
                    }
                    this.setAttribute('class', newclassname);
                    profilestatuschanged(prop_id, thisstatus)
                }
            )
        }
    )
}

/**
 * Stores the new sort order. This function gets called automatically
 * from the Sortable when a 'drop' action has been detected
 *
 * @params none;
 * @return none;
 * @author Frank Schummertz
 */
function profileweightchanged()
{
    var pars = "module=Profile&func=changeprofileweight&authid=" + $F('authid') + "&startnum=" + $F('startnum')
               + "&" + Sortable.serialize('profilelist', { 'name': 'profilelist' });

    var myAjax = new Ajax.Request(
        document.location.pnbaseURL+'ajax.php', 
        {
            method: 'get', 
            parameters: pars, 
            onComplete: profileweightchanged_response
        });
}

/**
 * Ajax response function for updating new sort order: cleanup
 *
 * @params none;
 * @return none;
 * @author Frank Schummertz
 */
function profileweightchanged_response(req)
{
    if (req.status != 200 ) { 
        pnshowajaxerror(req.responseText);
        return;
    }

    var json = pndejsonize(req.responseText);
    pnupdateauthids(json.authid);

    pnrecolor('profilelist', 'profilelistheader');
}

/**
 * Stores the new state when press the led.
 *
 * @params prop_id property ID;
 * @params oldstatus current value to switch;
 * @return none;
 * @author Mateo Tibaquira
 */
function profilestatuschanged(prop_id, oldstatus)
{
    var pars = "module=Profile&func=changeprofilestatus&authid=" + $F('authid')
               + "&oldstatus=" + oldstatus + "&dudid=" + prop_id;

    var myAjax = new Ajax.Request(
        document.location.pnbaseURL+'ajax.php', 
        {
            method: 'get', 
            parameters: pars, 
            onComplete: profilestatuschanged_response
        });
}

/**
 * Ajax response function for updating new sort order: cleanup
 *
 * @params none;
 * @return none;
 * @author Mateo Tibaquira
 */
function profilestatuschanged_response(req)
{
    if (req.status != 200 ) { 
        pnshowajaxerror(req.responseText);
        return;
    }

    var json = pndejsonize(req.responseText);
    pnupdateauthids(json.authid);

    // TODO: Reset the profile[] value to avoid reordering of inactive fields
    var link = $('profilestatus_'+json.dudid);
    var active = false;
    $A(link.childElements()).each(
        function (node) {
            if (node.tagName == 'IMG') {
                if (node.src.indexOf('redled') == -1) {
                    node.src = node.src.replace('greenled', 'redled');
                    node.title = msgProfileStatusActivate;
                    node.alt = msgProfileStatusActivate;
                } else {
                    node.src = node.src.replace('redled', 'greenled');
                    node.title = msgProfileStatusDeactivate;
                    node.alt = msgProfileStatusDeactivate;
                    active = true;
                };
            } else if (node.tagName == 'STRONG') {
                if (active) {
                    node.innerHTML = msgProfileStatusDeactivate;
                    } else {
                    node.innerHTML = msgProfileStatusActivate;
                }
            }
        }
    )
}
