<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnversion.php 290 2009-10-31 15:53:17Z mateo $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage Profile
 */

$dom = ZLanguage::getModuleDomain('Profile');

$modversion['name']           = 'Profile';
$modversion['oldnames']       = array('Your_Account', 'Members_List');
$modversion['displayname']    = __('Profile Module', $dom);
$modversion['description']    = __('Provides a personal account control panel for each registered user, an interface to administer the information items (controls) displayed in it, and a members list functionality. Works in close unison with the Users module.', $dom);
//! module name that appears in URL
$modversion['url']            = __('profile', $dom);
$modversion['version']        = '1.4';

$modversion['credits']        = 'pndocs/credits.txt';
$modversion['help']           = 'pndocs/help.txt';
$modversion['changelog']      = 'pndocs/changelog.txt';
$modversion['license']        = 'pndocs/license.txt';
$modversion['official']       = true;
$modversion['profile']        = true;
$modversion['author']         = 'Mark West, Franky Chestnut';
$modversion['contact']        = 'http://www.markwest.me.uk/, http://dev.pnconcept.com/';

$modversion['securityschema'] = array('Profile::item' => 'Dynamic User Data Property Name::Dynamic User Data Property ID',
                                      'Profile:Members:' => '::',
                                      'Profile:Members:recent' => '::',
                                      'Profile:Members:online' => '::');
